<div>
  <div *ngIf="renderComplete">
    <ng-container *ngIf="tickets.length !== 0; else noTours">
      <p>Количество туров: {{tickets.length}}</p>
      <p>Выбранный тур: {{blockDirective.activeElementIndex}}</p>
    </ng-container>
  </div>
  <div class="mb-4">
    <span class="p-input-icon-left">
    <i class="pi pi-search"></i>
    <input type="text"
           pInputText
           [(ngModel)]="ticketSearchValue"
           #ticketSearch
           placeholder="Поиск">
    </span>
  </div>
  <div *ngIf="tickets"
       appBlockStyle
       #blockDirective = 'blockStyle'
       [selector]="'.ticket-item'"
       (enterTicket)="goToTicketInfoByEnter($event)"
       class="d-flex flex-wrap gap-4">
    <div *ngFor="let item of tickets"
         class="ticket-item col-6 col-md-4 col-lg-3 col-xxl-2"
         (click)="goToTicketInfoByClick(item)">
      <div class="item-name">{{item.name}}</div>
      <div class="item-price">{{item.price}}</div>
      <div style="background-image: url('http://localhost:3000/public/{{item.img}}')"
           class="item-image">
      </div>
    </div>
  </div>
</div>

<ng-template #noTours>
  <p>Туров не найдено</p>
</ng-template>
